Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621916 - Host panic on cross-vendor migration (RHEL 5.5 guest)
Host panic on cross-vendor migration (RHEL 5.5 guest)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.5.z
All Linux
medium Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks: 514489
  Show dependency treegraph
 
Reported: 2010-08-06 09:44 EDT by James G. Brown III
Modified: 2014-12-01 18:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 06:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to avoid the panic (2.28 KB, patch)
2011-01-31 12:17 EST, Paolo Bonzini
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1065 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.7 kernel security and bug fix update 2011-07-21 05:21:37 EDT

  None (edit)
Description James G. Brown III 2010-08-06 09:44:28 EDT
Description of problem:

When migrating a RHEL5.5 HVM guest between two RHEL5.5 hosts the receiving host panic'd after seemingly successfully migrating the machine. That is I was watching xm list and after the memory of the guest was completely transferred was when the host panic'd

Version-Release number of selected component (if applicable):

2.6.18-194.8.1.el5xen

How reproducible:

Haven't tried again, but can if necessary...

Steps to Reproduce:
1. Setup hosts for migration
2. xm migrate rhel5-hvm-guest some.host
3.
  
Actual results:

Host panic

Expected results:

Successful migration no panic

Additional info:

The only caveat, which is a large one, is that the host we are migrating from is running an AMD processor and the host we are migrating to is an Intel. Regardless of supportability, I don't think the host should be panicing. 

Access to vmcore and sosreports to follow.
Comment 4 Paolo Bonzini 2010-08-20 03:51:32 EDT
Thanks, can you provide the sosreport for the guest too?
Comment 5 Paolo Bonzini 2010-08-20 10:24:18 EDT
Alternatively, could you capture the serial console output on the receiving end?  I'm almost sure this is a dup of bug 620490 (embargoed).
Comment 7 Paolo Bonzini 2010-08-23 03:40:21 EDT
No, unfortunately that's a log of the kernel; I need a log of the hypervisor.
Comment 8 Andrew Jones 2011-01-17 07:11:36 EST
Considering cross-vendor migration isn't supported, I think this bug should either be dropped or at least lowered to priority to Tier2. What to other interested parties have to say about that?
Comment 11 Paolo Bonzini 2011-01-31 12:17:36 EST
Created attachment 476233 [details]
patch to avoid the panic
Comment 12 RHEL Product and Program Management 2011-02-01 12:06:39 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 17 Jarod Wilson 2011-03-03 15:33:34 EST
in kernel-2.6.18-246.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 19 Yuyu Zhou 2011-04-26 01:16:08 EDT
Reproduced the bug on kernel-xen-2.6.18-245.el5, after migrating a HVM guest from AMD x86_64 host to Intel x86_64 host, the Intel host crashed.

Verified the bug on kernel-xen-2.6.18-257.el5, after migrating a HVM guest from AMD x86_64 host to Intel x86_64 host, none of the hosts crashed. Migrating a HVM guest from Intel to AMD is also tested, none of the hosts crashed.

So change the Status to VERIFIED.
Comment 20 errata-xmlrpc 2011-07-21 06:21:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1065.html

Note You need to log in before you can comment on or make changes to this bug.